<?php
	// Tenta se conectar ao servidor MySQL
	include $_SERVER["DOCUMENT_ROOT"].'/inc/conexao.php';
	include $_SERVER["DOCUMENT_ROOT"].'/inc/functions.php';
	$cfg = $_SESSION["configs"];

	// ini_set('display_errors',1);
	// ini_set('display_startup_erros',1);
	// error_reporting(E_ALL);

	$urlbase = $_SERVER['SERVER_NAME'].$_SERVER ['REQUEST_URI'];
	$parts = parse_url($urlbase);
	parse_str($parts['query'], $query);
	$_GET = $query;
	$token = $_GET["token"];
	$id = $_GET["id"];
	if($token == '' && isset($_SESSION["usuario"])){ $_GET["token"] = $_SESSION["usuario"]["api_token"]; $token = $_SESSION["usuario"]["api_token"]; }

	// Verifica type e permissões
	if(!isset($_GET["token"])){ $ret['error'] = 'Token inexistente ou invalido.'; $ret['status'] = 'error'; $ret['status_code'] = 'notfoundtype'; finishJSONRequest($ret); }

	// Retorno
	$ret = array();
	$ret['date'] = date('Y-m-d H:i:s');
	$datetime = date('Y-m-d H:i:s');

	// Pesquisa usuário
	$sql = $mysqli->query("SELECT usuario_id, usuario_permissoes, usuario_nome FROM usuarios WHERE usuario_api_token = '$token'");
	if(mysqli_num_rows($sql) == 0 || !isset($_GET["token"]) || $_GET["token"] == ''){ $ret['error'] = 'TOKEN invalido.'; $ret['status'] = 'error'; $ret['status_code'] = 'notfoundtype'; finishJSONRequest($ret); }

	// Pega dados do usuario
	$u = $sql->fetch_assoc();
	$userid = $u["usuario_id"];
	$perms = explode('-', $u["usuario_permissoes"]);

	// Verifica type e permissões
	if(!in_array('29', $perms)){ $ret['error'] = 'Você não possui permissões suficientes para gerenciar partidas manuais.'; $ret['status'] = 'error'; $ret['status_code'] = 'invalidPerm'; finishJSONRequest($ret); }

	$sql = $mysqli->query("SELECT * FROM lancamentos WHERE lancamento_id = '$id'");
	$i = 0;
	while ($j = $sql->fetch_assoc()) {
		$ret['lanc']['id'] = $j["lancamento_id"];
		$ret['lanc']['price'] = formataReal($j["lancamento_valor"]);
		$ret['lanc']['type'] = utf8_encode($j["lancamento_tipo"]);
		$ret['lanc']['description'] = utf8_encode($j["lancamento_descricao"]);
		$ret['lanc']['user'] = utf8_encode($j["lancamento_usuario"]);
		$ret['lanc']['date'] = desfazDatetime($j["lancamento_date"]);
		$ret['lanc']['admin'] = ($j["lancamento_feito_por"]);
		$i++;
	}

	// Pesquisa
	$sql = $mysqli->query("DELETE FROM lancamentos WHERE lancamento_id = '$id'");
	if(!$sql){
		$ret['error'] = 'Ocorreu um erro ao processar requisição. Erro: '.$mysqli->error.'.'; $ret['status'] = 'error'; $ret['status_code'] = 'databaseError'; finishJSONRequest($ret);
	}

	// Adiciona ao histórico
	$usuario = $ret['lanc']['user'];
	$titulo = utf8_decode('Um lançamento de R$'.$ret['lanc']['price'].' foi apagado - '.$ret['lanc']['description']);
	$descricao = utf8_decode('Um lançamento de R$'.$ret['lanc']['price'].' foi apagado - '.$ret['lanc']['description'].' | Removida por '.$u["usuario_nome"]);
	$sql = $mysqli->query("INSERT INTO historico SET hist_tipo = 'deleteLanc', hist_titulo = '$titulo', hist_descricao = '$descricao', hist_usuario = '$usuario', hist_admin = '$userid', hist_data = '$datetime'");

	$ret['success'] = 'Pronto! O lançamento foi apagado.';
	$ret['status'] = 'success';
	echo json_encode($ret);
?>